package sillysagiri.scene;

import javax.microedition.lcdui.Graphics;
import javax.microedition.lcdui.Image;

import sillysagiri.BMF;
import sillysagiri.Scene;
import sillysagiri.Utils;

public class Credits extends Scene {

  private BMF bmf_white;
  private BMF bmf_blue;

  private Image img_loop;
  private Image img_out;
  private Image img_c1;

  public void Preload()
  {
    try {
      bmf_white = BMF.Create("/silly/bmf/nds12_0.silly.gz", "/silly/bmf/nds12.fnt", 0xffffffff);
      bmf_blue = BMF.Create("/silly/bmf/onds12_0.silly.gz", "/silly/bmf/onds12.fnt", 0xff00dbff);

      img_loop = Image.createImage("/m_2.png");
      img_out = Image.createImage("/out.png");
      img_c1 = Image.createImage("/c_1.png");
    }
    catch(Exception e)
    {
      sagiri.Set_Scene(new DeathError(e));
    }
  }

  public void Destroy()
  {
  }

  public void Update(long dt, Graphics g)
  {
    Utils.Clear_Screen(g, 255, 108, 0);

    int loopCount = (int)Math.ceil((float)Utils.GetScreenHeight()/img_loop.getHeight());
      for (int i = 0; i<loopCount; i++)
        g.drawImage(img_loop, 0, i*img_loop.getHeight(), Graphics.LEFT | Graphics.TOP);

    int size_header = (int)(bmf_blue.lineHeight*1.5);
    g.setColor(109, 0, 0);
    g.fillRect(5, 5, Utils.GetScreenWidth()-10, size_header);

    bmf_blue.DrawEx(g, "Credits", 10, (size_header/2)+5, Graphics.LEFT | Graphics.VCENTER);
    g.drawImage(img_out, Utils.GetScreenWidth()-10, (size_header/2)+5, Graphics.RIGHT|Graphics.VCENTER);

    int cursory = size_header+20;
    g.drawImage(img_c1, 10, size_header+20, Graphics.LEFT|Graphics.TOP);
    
    bmf_white.Draw(g, "Mobile Entertainement", 10, cursory+=img_c1.getHeight()+5);
    g.setColor(0xffffffff);
    g.drawLine(10, cursory+= bmf_white.lineHeight+3, Utils.GetScreenWidth()-10, cursory);

    bmf_white.Draw(g, "Programmer:", 10, cursory+=bmf_white.lineHeight/2);
    bmf_white.DrawEx(g, "Kevn-Ho Kim", Utils.GetScreenWidth()-10, cursory, Graphics.RIGHT|Graphics.TOP);
    
    bmf_white.Draw(g, "Designer:", 10, cursory+=bmf_white.lineHeight+3);
    bmf_white.DrawEx(g, "Sung-Hwan Yun", Utils.GetScreenWidth()-10, cursory, Graphics.RIGHT|Graphics.TOP);
    
    bmf_white.Draw(g, "root93@me-net21.com", 10, cursory+=bmf_white.lineHeight+8);
    bmf_white.DrawEx(g, "02)2604-4120", Utils.GetScreenWidth()-10, cursory+=bmf_white.lineHeight+3, Graphics.RIGHT|Graphics.TOP);
    
    g.drawLine(10, cursory+= bmf_white.lineHeight+3, Utils.GetScreenWidth()-10, cursory);

    bmf_white.Draw(g, "English Patch:", 10, cursory+=bmf_white.lineHeight/2);
    bmf_white.DrawEx(g, "Tyrial", Utils.GetScreenWidth()-10, cursory, Graphics.RIGHT|Graphics.TOP);

    bmf_white.Draw(g, "Remake:", 10, cursory+=bmf_white.lineHeight+3);
    bmf_white.DrawEx(g, "sillysagiri", Utils.GetScreenWidth()-10, cursory, Graphics.RIGHT|Graphics.TOP);
  }
}
